Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.impl
Class MetaABMPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.metaabm.impl.MetaABMPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, MetaABMPackage

    public class MetaABMPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements MetaABMPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.metaabm.MetaABMPackage
`MetaABMPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.lang.String` | `packageFilename`

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.metaabm.MetaABMPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, IACT, IACT__ID, IACT__LABEL, IACT_FEATURE_COUNT, IAGENT_CHILD, IAGENT_CHILD__PARENT, IAGENT_CHILD_FEATURE_COUNT, IARTIFACT, IARTIFACT__ID, IARTIFACT__LABEL, IARTIFACT_FEATURE_COUNT, IATTRIBUTE_CHILD, IATTRIBUTE_CHILD__PARENT, IATTRIBUTE_CHILD_FEATURE_COUNT, IID, IID__ID, IID__LABEL, IID_FEATURE_COUNT, IMODEL_EXTENSION, IMODEL_EXTENSION_FEATURE_COUNT, ITYPED, ITYPED__ID, ITYPED__LABEL, ITYPED__STYPE, ITYPED_ARRAY, ITYPED_ARRAY__ID, ITYPED_ARRAY__LABEL, ITYPED_ARRAY__SIZE, ITYPED_ARRAY__STYPE, ITYPED_ARRAY_FEATURE_COUNT, ITYPED_FEATURE_COUNT, IVALUE, IVALUE__ACCESSORS, IVALUE__AVAILABLE_TYPES, IVALUE__ID, IVALUE__LABEL, IVALUE_FEATURE_COUNT, SACTABLE, SACTABLE__ATTRIBUTES, SACTABLE__DESCRIPTION, SACTABLE__ID, SACTABLE__LABEL, SACTABLE__PLURAL_LABEL, SACTABLE__ROOT_ACTIVITY, SACTABLE_FEATURE_COUNT, SAGENT, SAGENT__ATTRIBUTES, SAGENT__CHILDREN, SAGENT__DESCRIPTION, SAGENT__ID, SAGENT__IMPLEMENTATION, SAGENT__LABEL, SAGENT__OWNER, SAGENT__PARENT, SAGENT__PLURAL_LABEL, SAGENT__ROOT_ACTIVITY, SAGENT__STYLES, SAGENT_FEATURE_COUNT, SATTRIBUTE, SATTRIBUTE__ACCESSORS, SATTRIBUTE__AVAILABLE_TYPES, SATTRIBUTE__CHILDREN, SATTRIBUTE__DEFAULT_VALUE, SATTRIBUTE__DERIVED, SATTRIBUTE__DESCRIPTION, SATTRIBUTE__GATHER_DATA, SATTRIBUTE__ID, SATTRIBUTE__IMMUTABLE, SATTRIBUTE__LABEL, SATTRIBUTE__OWNER, SATTRIBUTE__PLURAL_LABEL, SATTRIBUTE__STYPE, SATTRIBUTE__UNITS, SATTRIBUTE_ARRAY, SATTRIBUTE_ARRAY__ACCESSORS, SATTRIBUTE_ARRAY__AVAILABLE_TYPES, SATTRIBUTE_ARRAY__CHILDREN, SATTRIBUTE_ARRAY__DEFAULT_VALUE, SATTRIBUTE_ARRAY__DERIVED, SATTRIBUTE_ARRAY__DESCRIPTION, SATTRIBUTE_ARRAY__GATHER_DATA, SATTRIBUTE_ARRAY__ID, SATTRIBUTE_ARRAY__IMMUTABLE, SATTRIBUTE_ARRAY__LABEL, SATTRIBUTE_ARRAY__OWNER, SATTRIBUTE_ARRAY__PLURAL_LABEL, SATTRIBUTE_ARRAY__SIZE, SATTRIBUTE_ARRAY__STYPE, SATTRIBUTE_ARRAY__UNITS, SATTRIBUTE_ARRAY_FEATURE_COUNT, SATTRIBUTE_FEATURE_COUNT, SATTRIBUTE_TYPE, SATTRIBUTED, SATTRIBUTED__ATTRIBUTES, SATTRIBUTED__DESCRIPTION, SATTRIBUTED__ID, SATTRIBUTED__LABEL, SATTRIBUTED__PLURAL_LABEL, SATTRIBUTED_FEATURE_COUNT, SBORDER_RULE, SCONTEXT, SCONTEXT__AGENTS, SCONTEXT__ALL_AGENTS, SCONTEXT__ALL_CONTEXTS, SCONTEXT__ATTRIBUTES, SCONTEXT__CHILDREN, SCONTEXT__DESCRIPTION, SCONTEXT__ID, SCONTEXT__IMPLEMENTATION, SCONTEXT__LABEL, SCONTEXT__LIBRARY, SCONTEXT__OWNER, SCONTEXT__PARENT, SCONTEXT__PLURAL_LABEL, SCONTEXT__PROJECTIONS, SCONTEXT__ROOT_ACTIVITY, SCONTEXT__STYLES, SCONTEXT__VALUE_LAYERS, SCONTEXT_FEATURE_COUNT, SCONTINUOUS_SPACE, SCONTINUOUS_SPACE__ATTRIBUTES, SCONTINUOUS_SPACE__BORDER_RULE, SCONTINUOUS_SPACE__DESCRIPTION, SCONTINUOUS_SPACE__DIMENSIONALITY, SCONTINUOUS_SPACE__ID, SCONTINUOUS_SPACE__LABEL, SCONTINUOUS_SPACE__OWNER, SCONTINUOUS_SPACE__PLURAL_LABEL, SCONTINUOUS_SPACE_FEATURE_COUNT, SGEOGRAPHY, SGEOGRAPHY__ATTRIBUTES, SGEOGRAPHY__DESCRIPTION, SGEOGRAPHY__ID, SGEOGRAPHY__LABEL, SGEOGRAPHY__OWNER, SGEOGRAPHY__PLURAL_LABEL, SGEOGRAPHY_FEATURE_COUNT, SGRID, SGRID__ATTRIBUTES, SGRID__BORDER_RULE, SGRID__DESCRIPTION, SGRID__DIMENSIONALITY, SGRID__ID, SGRID__LABEL, SGRID__MULTI_OCCUPANT, SGRID__NEIGHBORHOOD, SGRID__OWNER, SGRID__PLURAL_LABEL, SGRID_FEATURE_COUNT, SIMPLEMENTATION, SIMPLEMENTATION__BASE_PATH, SIMPLEMENTATION__BIN_DIR, SIMPLEMENTATION__CLASS_FILE_LOC, SIMPLEMENTATION__CLASS_NAME, SIMPLEMENTATION__DERIVED_BIN_DIR, SIMPLEMENTATION__DERIVED_PACKAGE, SIMPLEMENTATION__DERIVED_PATH, SIMPLEMENTATION__DERIVED_SRC_DIR, SIMPLEMENTATION__JAVA_FILE_LOC, SIMPLEMENTATION__MODE, SIMPLEMENTATION__PACKAGE, SIMPLEMENTATION__QUALIFIED_NAME, SIMPLEMENTATION__SRC_DIR, SIMPLEMENTATION__TARGET, SIMPLEMENTATION_FEATURE_COUNT, SIMPLEMENTATION_MODE, SIMPLEMENTED, SIMPLEMENTED__ID, SIMPLEMENTED__IMPLEMENTATION, SIMPLEMENTED__LABEL, SIMPLEMENTED__PARENT, SIMPLEMENTED_FEATURE_COUNT, SN_DIMENSIONAL, SN_DIMENSIONAL__ATTRIBUTES, SN_DIMENSIONAL__BORDER_RULE, SN_DIMENSIONAL__DESCRIPTION, SN_DIMENSIONAL__DIMENSIONALITY, SN_DIMENSIONAL__ID, SN_DIMENSIONAL__LABEL, SN_DIMENSIONAL__OWNER, SN_DIMENSIONAL__PLURAL_LABEL, SN_DIMENSIONAL_FEATURE_COUNT, SNAMED, SNAMED__DESCRIPTION, SNAMED__ID, SNAMED__LABEL, SNAMED__PLURAL_LABEL, SNAMED_FEATURE_COUNT, SNEIGHBORHOOD_TYPE, SNETWORK, SNETWORK__ATTRIBUTES, SNETWORK__DESCRIPTION, SNETWORK__DIRECTED, SNETWORK__ID, SNETWORK__LABEL, SNETWORK__OWNER, SNETWORK__PLURAL_LABEL, SNETWORK_FEATURE_COUNT, SPROJECTION, SPROJECTION__ATTRIBUTES, SPROJECTION__DESCRIPTION, SPROJECTION__ID, SPROJECTION__LABEL, SPROJECTION__OWNER, SPROJECTION__PLURAL_LABEL, SPROJECTION_FEATURE_COUNT, SSHAPE_TYPE, SSTATE, SSTATE__ACCESSORS, SSTATE__AVAILABLE_TYPES, SSTATE__CHILDREN, SSTATE__DEFAULT_OPTION, SSTATE__DEFAULT_VALUE, SSTATE__DERIVED, SSTATE__DESCRIPTION, SSTATE__GATHER_DATA, SSTATE__ID, SSTATE__IMMUTABLE, SSTATE__LABEL, SSTATE__OPTIONS, SSTATE__OWNER, SSTATE__PLURAL_LABEL, SSTATE__STYPE, SSTATE__UNITS, SSTATE_FEATURE_COUNT, SSTATE_VALUE, SSTATE_VALUE__ACCESSORS, SSTATE_VALUE__AVAILABLE_TYPES, SSTATE_VALUE__DESCRIPTION, SSTATE_VALUE__ID, SSTATE_VALUE__LABEL, SSTATE_VALUE__PLURAL_LABEL, SSTATE_VALUE__SET, SSTATE_VALUE_FEATURE_COUNT, SSTYLE, SSTYLE__AGENT, SSTYLE__ATTRIBUTES, SSTYLE__DESCRIPTION, SSTYLE__ID, SSTYLE__IMPLEMENTATION, SSTYLE__LABEL, SSTYLE__PARENT, SSTYLE__PLURAL_LABEL, SSTYLE__ROOT_ACTIVITY, SSTYLE_FEATURE_COUNT, SSTYLE_SHAPE, SSTYLE_SHAPE__AGENT, SSTYLE_SHAPE__ATTRIBUTES, SSTYLE_SHAPE__DESCRIPTION, SSTYLE_SHAPE__ID, SSTYLE_SHAPE__IMPLEMENTATION, SSTYLE_SHAPE__LABEL, SSTYLE_SHAPE__PARENT, SSTYLE_SHAPE__PLURAL_LABEL, SSTYLE_SHAPE__ROOT_ACTIVITY, SSTYLE_SHAPE__SHAPE, SSTYLE_SHAPE_FEATURE_COUNT, SSTYLE2_D, SSTYLE2_D__AGENT, SSTYLE2_D__ATTRIBUTES, SSTYLE2_D__DESCRIPTION, SSTYLE2_D__ID, SSTYLE2_D__IMPLEMENTATION, SSTYLE2_D__LABEL, SSTYLE2_D__PARENT, SSTYLE2_D__PLURAL_LABEL, SSTYLE2_D__ROOT_ACTIVITY, SSTYLE2_D_FEATURE_COUNT, SSTYLE3_D, SSTYLE3_D__AGENT, SSTYLE3_D__ATTRIBUTES, SSTYLE3_D__DESCRIPTION, SSTYLE3_D__ID, SSTYLE3_D__IMPLEMENTATION, SSTYLE3_D__LABEL, SSTYLE3_D__PARENT, SSTYLE3_D__PLURAL_LABEL, SSTYLE3_D__ROOT_ACTIVITY, SSTYLE3_D_FEATURE_COUNT, SVALUE_LAYER, SVALUE_LAYER__DESCRIPTION, SVALUE_LAYER__ID, SVALUE_LAYER__LABEL, SVALUE_LAYER__PLURAL_LABEL, SVALUE_LAYER_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` | `fixInstanceClass(org.eclipse.emf.ecore.EClassifier eClassifier)` Sets the instance class on the given classifier.
`void` | `fixPackageContents()` Fixes up the loaded package, to make it appear as if it had been programmatically built.
`org.eclipse.emf.ecore.EClass` | `getIAct()`
`org.eclipse.emf.ecore.EReference` | `getIAgentChild_Parent()`
`org.eclipse.emf.ecore.EClass` | `getIAgentChild()`
`org.eclipse.emf.ecore.EClass` | `getIArtifact()`
`org.eclipse.emf.ecore.EReference` | `getIAttributeChild_Parent()`
`org.eclipse.emf.ecore.EClass` | `getIAttributeChild()`
`org.eclipse.emf.ecore.EAttribute` | `getIID_ID()`
`org.eclipse.emf.ecore.EAttribute` | `getIID_Label()`
`org.eclipse.emf.ecore.EClass` | `getIID()`
`org.eclipse.emf.ecore.EClass` | `getIModelExtension()`
`org.eclipse.emf.ecore.EAttribute` | `getITyped_SType()`
`org.eclipse.emf.ecore.EClass` | `getITyped()`
`org.eclipse.emf.ecore.EAttribute` | `getITypedArray_Size()`
`org.eclipse.emf.ecore.EClass` | `getITypedArray()`
`org.eclipse.emf.ecore.EReference` | `getIValue_Accessors()`
`org.eclipse.emf.ecore.EAttribute` | `getIValue_AvailableTypes()`
`org.eclipse.emf.ecore.EClass` | `getIValue()`
`MetaABMFactory` | `getMetaABMFactory()`
`org.eclipse.emf.ecore.EReference` | `getSActable_RootActivity()`
`org.eclipse.emf.ecore.EClass` | `getSActable()`
`org.eclipse.emf.ecore.EReference` | `getSAgent_Children()`
`org.eclipse.emf.ecore.EReference` | `getSAgent_Owner()`
`org.eclipse.emf.ecore.EReference` | `getSAgent_Styles()`
`org.eclipse.emf.ecore.EClass` | `getSAgent()`
`org.eclipse.emf.ecore.EReference` | `getSAttribute_Children()`
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_DefaultValue()`
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_Derived()`
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_GatherData()`
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_Immutable()`
`org.eclipse.emf.ecore.EReference` | `getSAttribute_Owner()`
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_Units()`
`org.eclipse.emf.ecore.EClass` | `getSAttribute()`
`org.eclipse.emf.ecore.EClass` | `getSAttributeArray()`
`org.eclipse.emf.ecore.EReference` | `getSAttributed_Attributes()`
`org.eclipse.emf.ecore.EClass` | `getSAttributed()`
`org.eclipse.emf.ecore.EEnum` | `getSAttributeType()`
`org.eclipse.emf.ecore.EEnum` | `getSBorderRule()`
`org.eclipse.emf.ecore.EReference` | `getSContext_Agents()`
`org.eclipse.emf.ecore.EReference` | `getSContext_AllAgents()`
`org.eclipse.emf.ecore.EReference` | `getSContext_AllContexts()`
`org.eclipse.emf.ecore.EReference` | `getSContext_Library()`
`org.eclipse.emf.ecore.EReference` | `getSContext_Projections()`
`org.eclipse.emf.ecore.EReference` | `getSContext_ValueLayers()`
`org.eclipse.emf.ecore.EClass` | `getSContext()`
`org.eclipse.emf.ecore.EClass` | `getSContinuousSpace()`
`org.eclipse.emf.ecore.EClass` | `getSGeography()`
`org.eclipse.emf.ecore.EAttribute` | `getSGrid_MultiOccupant()`
`org.eclipse.emf.ecore.EAttribute` | `getSGrid_Neighborhood()`
`org.eclipse.emf.ecore.EClass` | `getSGrid()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_BasePath()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_BinDir()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_ClassFileLoc()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_ClassName()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedBinDir()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedPackage()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedPath()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedSrcDir()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_JavaFileLoc()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_Mode()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_Package()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_QualifiedName()`
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_SrcDir()`
`org.eclipse.emf.ecore.EReference` | `getSImplementation_Target()`
`org.eclipse.emf.ecore.EClass` | `getSImplementation()`
`org.eclipse.emf.ecore.EEnum` | `getSImplementationMode()`
`org.eclipse.emf.ecore.EReference` | `getSImplemented_Implementation()`
`org.eclipse.emf.ecore.EReference` | `getSImplemented_Parent()`
`org.eclipse.emf.ecore.EClass` | `getSImplemented()`
`org.eclipse.emf.ecore.EAttribute` | `getSNamed_Description()`
`org.eclipse.emf.ecore.EAttribute` | `getSNamed_PluralLabel()`
`org.eclipse.emf.ecore.EClass` | `getSNamed()`
`org.eclipse.emf.ecore.EAttribute` | `getSNDimensional_BorderRule()`
`org.eclipse.emf.ecore.EAttribute` | `getSNDimensional_Dimensionality()`
`org.eclipse.emf.ecore.EClass` | `getSNDimensional()`
`org.eclipse.emf.ecore.EEnum` | `getSNeighborhoodType()`
`org.eclipse.emf.ecore.EAttribute` | `getSNetwork_Directed()`
`org.eclipse.emf.ecore.EClass` | `getSNetwork()`
`org.eclipse.emf.ecore.EReference` | `getSProjection_Owner()`
`org.eclipse.emf.ecore.EClass` | `getSProjection()`
`org.eclipse.emf.ecore.EEnum` | `getSShapeType()`
`org.eclipse.emf.ecore.EReference` | `getSState_DefaultOption()`
`org.eclipse.emf.ecore.EReference` | `getSState_Options()`
`org.eclipse.emf.ecore.EClass` | `getSState()`
`org.eclipse.emf.ecore.EReference` | `getSStateValue_Set()`
`org.eclipse.emf.ecore.EClass` | `getSStateValue()`
`org.eclipse.emf.ecore.EReference` | `getSStyle_Agent()`
`org.eclipse.emf.ecore.EClass` | `getSStyle()`
`org.eclipse.emf.ecore.EClass` | `getSStyle2D()`
`org.eclipse.emf.ecore.EClass` | `getSStyle3D()`
`org.eclipse.emf.ecore.EAttribute` | `getSStyleShape_Shape()`
`org.eclipse.emf.ecore.EClass` | `getSStyleShape()`
`org.eclipse.emf.ecore.EClass` | `getSValueLayer()`
`static MetaABMPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `loadPackage()` Laods the package and any sub-packages from their serialized form.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### packageFilename

    protected java.lang.String packageFilename

Method Detail

### init

    public static MetaABMPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `MetaABMPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `MetaABMPackage.eNS_URI`

### getIID

    public org.eclipse.emf.ecore.EClass getIID()

  Specified by:
    `getIID` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IID'.
  See Also:
    `IID`

### getIID_Label

    public org.eclipse.emf.ecore.EAttribute getIID_Label()

  Specified by:
    `getIID_Label` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `IID.getLabel()`, `MetaABMPackage.getIID()`

### getIID_ID

    public org.eclipse.emf.ecore.EAttribute getIID_ID()

  Specified by:
    `getIID_ID` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `IID.getID()`, `MetaABMPackage.getIID()`

### getITyped

    public org.eclipse.emf.ecore.EClass getITyped()

  Specified by:
    `getITyped` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'ITyped'.
  See Also:
    `ITyped`

### getITyped_SType

    public org.eclipse.emf.ecore.EAttribute getITyped_SType()

  Specified by:
    `getITyped_SType` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'SType'.
  See Also:
    `ITyped.getSType()`, `MetaABMPackage.getITyped()`

### getITypedArray

    public org.eclipse.emf.ecore.EClass getITypedArray()

  Specified by:
    `getITypedArray` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'ITyped Array'.
  See Also:
    `ITypedArray`

### getITypedArray_Size

    public org.eclipse.emf.ecore.EAttribute getITypedArray_Size()

  Specified by:
    `getITypedArray_Size` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Size'.
  See Also:
    `ITypedArray.getSize()`, `MetaABMPackage.getITypedArray()`

### getIValue

    public org.eclipse.emf.ecore.EClass getIValue()

  Specified by:
    `getIValue` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IValue'.
  See Also:
    `IValue`

### getIValue_Accessors

    public org.eclipse.emf.ecore.EReference getIValue_Accessors()

  Specified by:
    `getIValue_Accessors` in interface `MetaABMPackage`
  Returns:
    the meta object for the reference list 'Accessors'.
  See Also:
    `IValue.getAccessors()`, `MetaABMPackage.getIValue()`

### getIValue_AvailableTypes

    public org.eclipse.emf.ecore.EAttribute getIValue_AvailableTypes()

  Specified by:
    `getIValue_AvailableTypes` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute list 'Available Types'.
  See Also:
    `IValue.getAvailableTypes()`, `MetaABMPackage.getIValue()`

### getIArtifact

    public org.eclipse.emf.ecore.EClass getIArtifact()

  Specified by:
    `getIArtifact` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IArtifact'.
  See Also:
    `IArtifact`

### getIAct

    public org.eclipse.emf.ecore.EClass getIAct()

  Specified by:
    `getIAct` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IAct'.
  See Also:
    `IAct`

### getSNamed

    public org.eclipse.emf.ecore.EClass getSNamed()

  Specified by:
    `getSNamed` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SNamed'.
  See Also:
    `SNamed`

### getSNamed_PluralLabel

    public org.eclipse.emf.ecore.EAttribute getSNamed_PluralLabel()

  Specified by:
    `getSNamed_PluralLabel` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Plural Label'.
  See Also:
    `SNamed.getPluralLabel()`, `MetaABMPackage.getSNamed()`

### getSNamed_Description

    public org.eclipse.emf.ecore.EAttribute getSNamed_Description()

  Specified by:
    `getSNamed_Description` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `SNamed.getDescription()`, `MetaABMPackage.getSNamed()`

### getSAttributed

    public org.eclipse.emf.ecore.EClass getSAttributed()

  Specified by:
    `getSAttributed` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SAttributed'.
  See Also:
    `SAttributed`

### getSAttributed_Attributes

    public org.eclipse.emf.ecore.EReference getSAttributed_Attributes()

  Specified by:
    `getSAttributed_Attributes` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `SAttributed.getAttributes()`, `MetaABMPackage.getSAttributed()`

### getSAttribute

    public org.eclipse.emf.ecore.EClass getSAttribute()

  Specified by:
    `getSAttribute` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SAttribute'.
  See Also:
    `SAttribute`

### getSAttribute_Owner

    public org.eclipse.emf.ecore.EReference getSAttribute_Owner()

  Specified by:
    `getSAttribute_Owner` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `SAttribute.getOwner()`, `MetaABMPackage.getSAttribute()`

### getSAttribute_GatherData

    public org.eclipse.emf.ecore.EAttribute getSAttribute_GatherData()

  Specified by:
    `getSAttribute_GatherData` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Gather Data'.
  See Also:
    `SAttribute.isGatherData()`, `MetaABMPackage.getSAttribute()`

### getSAttribute_DefaultValue

    public org.eclipse.emf.ecore.EAttribute getSAttribute_DefaultValue()

  Specified by:
    `getSAttribute_DefaultValue` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `SAttribute.getDefaultValue()`, `MetaABMPackage.getSAttribute()`

### getSAttribute_Units

    public org.eclipse.emf.ecore.EAttribute getSAttribute_Units()

  Specified by:
    `getSAttribute_Units` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Units'.
  See Also:
    `SAttribute.getUnits()`, `MetaABMPackage.getSAttribute()`

### getSAttribute_Immutable

    public org.eclipse.emf.ecore.EAttribute getSAttribute_Immutable()

  Specified by:
    `getSAttribute_Immutable` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Immutable'.
  See Also:
    `SAttribute.isImmutable()`, `MetaABMPackage.getSAttribute()`

### getSAttribute_Derived

    public org.eclipse.emf.ecore.EAttribute getSAttribute_Derived()

  Specified by:
    `getSAttribute_Derived` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Derived'.
  See Also:
    `SAttribute.isDerived()`, `MetaABMPackage.getSAttribute()`

### getSAttribute_Children

    public org.eclipse.emf.ecore.EReference getSAttribute_Children()

  Specified by:
    `getSAttribute_Children` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `SAttribute.getChildren()`, `MetaABMPackage.getSAttribute()`

### getSAttributeArray

    public org.eclipse.emf.ecore.EClass getSAttributeArray()

  Specified by:
    `getSAttributeArray` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SAttribute Array'.
  See Also:
    `SAttributeArray`

### getSAgent

    public org.eclipse.emf.ecore.EClass getSAgent()

  Specified by:
    `getSAgent` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SAgent'.
  See Also:
    `SAgent`

### getSAgent_Styles

    public org.eclipse.emf.ecore.EReference getSAgent_Styles()

  Specified by:
    `getSAgent_Styles` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `SAgent.getStyles()`, `MetaABMPackage.getSAgent()`

### getSAgent_Owner

    public org.eclipse.emf.ecore.EReference getSAgent_Owner()

  Specified by:
    `getSAgent_Owner` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `SAgent.getOwner()`, `MetaABMPackage.getSAgent()`

### getSAgent_Children

    public org.eclipse.emf.ecore.EReference getSAgent_Children()

  Specified by:
    `getSAgent_Children` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `SAgent.getChildren()`, `MetaABMPackage.getSAgent()`

### getSContext

    public org.eclipse.emf.ecore.EClass getSContext()

  Specified by:
    `getSContext` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SContext'.
  See Also:
    `SContext`

### getSContext_Agents

    public org.eclipse.emf.ecore.EReference getSContext_Agents()

  Specified by:
    `getSContext_Agents` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Agents'.
  See Also:
    `SContext.getAgents()`, `MetaABMPackage.getSContext()`

### getSContext_Projections

    public org.eclipse.emf.ecore.EReference getSContext_Projections()

  Specified by:
    `getSContext_Projections` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Projections'.
  See Also:
    `SContext.getProjections()`, `MetaABMPackage.getSContext()`

### getSContext_ValueLayers

    public org.eclipse.emf.ecore.EReference getSContext_ValueLayers()

  Specified by:
    `getSContext_ValueLayers` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Value Layers'.
  See Also:
    `SContext.getValueLayers()`, `MetaABMPackage.getSContext()`

### getSContext_Library

    public org.eclipse.emf.ecore.EReference getSContext_Library()

  Specified by:
    `getSContext_Library` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Library'.
  See Also:
    `SContext.getLibrary()`, `MetaABMPackage.getSContext()`

### getSContext_AllAgents

    public org.eclipse.emf.ecore.EReference getSContext_AllAgents()

  Specified by:
    `getSContext_AllAgents` in interface `MetaABMPackage`
  Returns:
    the meta object for the reference list 'All Agents'.
  See Also:
    `SContext.getAllAgents()`, `MetaABMPackage.getSContext()`

### getSContext_AllContexts

    public org.eclipse.emf.ecore.EReference getSContext_AllContexts()

  Specified by:
    `getSContext_AllContexts` in interface `MetaABMPackage`
  Returns:
    the meta object for the reference list 'All Contexts'.
  See Also:
    `SContext.getAllContexts()`, `MetaABMPackage.getSContext()`

### getSProjection

    public org.eclipse.emf.ecore.EClass getSProjection()

  Specified by:
    `getSProjection` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SProjection'.
  See Also:
    `SProjection`

### getSProjection_Owner

    public org.eclipse.emf.ecore.EReference getSProjection_Owner()

  Specified by:
    `getSProjection_Owner` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `SProjection.getOwner()`, `MetaABMPackage.getSProjection()`

### getSNDimensional

    public org.eclipse.emf.ecore.EClass getSNDimensional()

  Specified by:
    `getSNDimensional` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SN Dimensional'.
  See Also:
    `SNDimensional`

### getSNDimensional_Dimensionality

    public org.eclipse.emf.ecore.EAttribute getSNDimensional_Dimensionality()

  Specified by:
    `getSNDimensional_Dimensionality` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Dimensionality'.
  See Also:
    `SNDimensional.getDimensionality()`, `MetaABMPackage.getSNDimensional()`

### getSNDimensional_BorderRule

    public org.eclipse.emf.ecore.EAttribute getSNDimensional_BorderRule()

  Specified by:
    `getSNDimensional_BorderRule` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Border Rule'.
  See Also:
    `SNDimensional.getBorderRule()`, `MetaABMPackage.getSNDimensional()`

### getSContinuousSpace

    public org.eclipse.emf.ecore.EClass getSContinuousSpace()

  Specified by:
    `getSContinuousSpace` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SContinuous Space'.
  See Also:
    `SContinuousSpace`

### getSGrid

    public org.eclipse.emf.ecore.EClass getSGrid()

  Specified by:
    `getSGrid` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SGrid'.
  See Also:
    `SGrid`

### getSGrid_MultiOccupant

    public org.eclipse.emf.ecore.EAttribute getSGrid_MultiOccupant()

  Specified by:
    `getSGrid_MultiOccupant` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Multi Occupant'.
  See Also:
    `SGrid.isMultiOccupant()`, `MetaABMPackage.getSGrid()`

### getSGrid_Neighborhood

    public org.eclipse.emf.ecore.EAttribute getSGrid_Neighborhood()

  Specified by:
    `getSGrid_Neighborhood` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Neighborhood'.
  See Also:
    `SGrid.getNeighborhood()`, `MetaABMPackage.getSGrid()`

### getSNetwork

    public org.eclipse.emf.ecore.EClass getSNetwork()

  Specified by:
    `getSNetwork` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SNetwork'.
  See Also:
    `SNetwork`

### getSNetwork_Directed

    public org.eclipse.emf.ecore.EAttribute getSNetwork_Directed()

  Specified by:
    `getSNetwork_Directed` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Directed'.
  See Also:
    `SNetwork.isDirected()`, `MetaABMPackage.getSNetwork()`

### getSGeography

    public org.eclipse.emf.ecore.EClass getSGeography()

  Specified by:
    `getSGeography` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SGeography'.
  See Also:
    `SGeography`

### getSValueLayer

    public org.eclipse.emf.ecore.EClass getSValueLayer()

  Specified by:
    `getSValueLayer` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SValue Layer'.
  See Also:
    `SValueLayer`

### getSStyle

    public org.eclipse.emf.ecore.EClass getSStyle()

  Specified by:
    `getSStyle` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SStyle'.
  See Also:
    `SStyle`

### getSStyle_Agent

    public org.eclipse.emf.ecore.EReference getSStyle_Agent()

  Specified by:
    `getSStyle_Agent` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Agent'.
  See Also:
    `SStyle.getAgent()`, `MetaABMPackage.getSStyle()`

### getSStyle3D

    public org.eclipse.emf.ecore.EClass getSStyle3D()

  Specified by:
    `getSStyle3D` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SStyle3 D'.
  See Also:
    `SStyle3D`

### getSStyle2D

    public org.eclipse.emf.ecore.EClass getSStyle2D()

  Specified by:
    `getSStyle2D` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SStyle2 D'.
  See Also:
    `SStyle2D`

### getSStyleShape

    public org.eclipse.emf.ecore.EClass getSStyleShape()

  Specified by:
    `getSStyleShape` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SStyle Shape'.
  See Also:
    `SStyleShape`

### getSStyleShape_Shape

    public org.eclipse.emf.ecore.EAttribute getSStyleShape_Shape()

  Specified by:
    `getSStyleShape_Shape` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Shape'.
  See Also:
    `SStyleShape.getShape()`, `MetaABMPackage.getSStyleShape()`

### getSImplemented

    public org.eclipse.emf.ecore.EClass getSImplemented()

  Specified by:
    `getSImplemented` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SImplemented'.
  See Also:
    `SImplemented`

### getSImplemented_Implementation

    public org.eclipse.emf.ecore.EReference getSImplemented_Implementation()

  Specified by:
    `getSImplemented_Implementation` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference 'Implementation'.
  See Also:
    `SImplemented.getImplementation()`, `MetaABMPackage.getSImplemented()`

### getSImplemented_Parent

    public org.eclipse.emf.ecore.EReference getSImplemented_Parent()

  Specified by:
    `getSImplemented_Parent` in interface `MetaABMPackage`
  Returns:
    the meta object for the reference 'Parent'.
  See Also:
    `SImplemented.getParent()`, `MetaABMPackage.getSImplemented()`

### getSImplementation

    public org.eclipse.emf.ecore.EClass getSImplementation()

  Specified by:
    `getSImplementation` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SImplementation'.
  See Also:
    `SImplementation`

### getSImplementation_Package

    public org.eclipse.emf.ecore.EAttribute getSImplementation_Package()

  Specified by:
    `getSImplementation_Package` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Package'.
  See Also:
    `SImplementation.getPackage()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_ClassName

    public org.eclipse.emf.ecore.EAttribute getSImplementation_ClassName()

  Specified by:
    `getSImplementation_ClassName` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `SImplementation.getClassName()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_BasePath

    public org.eclipse.emf.ecore.EAttribute getSImplementation_BasePath()

  Specified by:
    `getSImplementation_BasePath` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Base Path'.
  See Also:
    `SImplementation.getBasePath()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_Mode

    public org.eclipse.emf.ecore.EAttribute getSImplementation_Mode()

  Specified by:
    `getSImplementation_Mode` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Mode'.
  See Also:
    `SImplementation.getMode()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_Target

    public org.eclipse.emf.ecore.EReference getSImplementation_Target()

  Specified by:
    `getSImplementation_Target` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Target'.
  See Also:
    `SImplementation.getTarget()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_QualifiedName

    public org.eclipse.emf.ecore.EAttribute getSImplementation_QualifiedName()

  Specified by:
    `getSImplementation_QualifiedName` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Qualified Name'.
  See Also:
    `SImplementation.getQualifiedName()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_DerivedPath

    public org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedPath()

  Specified by:
    `getSImplementation_DerivedPath` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Derived Path'.
  See Also:
    `SImplementation.getDerivedPath()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_DerivedPackage

    public org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedPackage()

  Specified by:
    `getSImplementation_DerivedPackage` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Derived Package'.
  See Also:
    `SImplementation.getDerivedPackage()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_JavaFileLoc

    public org.eclipse.emf.ecore.EAttribute getSImplementation_JavaFileLoc()

  Specified by:
    `getSImplementation_JavaFileLoc` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Java File Loc'.
  See Also:
    `SImplementation.getJavaFileLoc()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_SrcDir

    public org.eclipse.emf.ecore.EAttribute getSImplementation_SrcDir()

  Specified by:
    `getSImplementation_SrcDir` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Src Dir'.
  See Also:
    `SImplementation.getSrcDir()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_BinDir

    public org.eclipse.emf.ecore.EAttribute getSImplementation_BinDir()

  Specified by:
    `getSImplementation_BinDir` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Bin Dir'.
  See Also:
    `SImplementation.getBinDir()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_ClassFileLoc

    public org.eclipse.emf.ecore.EAttribute getSImplementation_ClassFileLoc()

  Specified by:
    `getSImplementation_ClassFileLoc` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Class File Loc'.
  See Also:
    `SImplementation.getClassFileLoc()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_DerivedBinDir

    public org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedBinDir()

  Specified by:
    `getSImplementation_DerivedBinDir` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Derived Bin Dir'.
  See Also:
    `SImplementation.getDerivedBinDir()`, `MetaABMPackage.getSImplementation()`

### getSImplementation_DerivedSrcDir

    public org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedSrcDir()

  Specified by:
    `getSImplementation_DerivedSrcDir` in interface `MetaABMPackage`
  Returns:
    the meta object for the attribute 'Derived Src Dir'.
  See Also:
    `SImplementation.getDerivedSrcDir()`, `MetaABMPackage.getSImplementation()`

### getIAgentChild

    public org.eclipse.emf.ecore.EClass getIAgentChild()

  Specified by:
    `getIAgentChild` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IAgent Child'.
  See Also:
    `IAgentChild`

### getIAgentChild_Parent

    public org.eclipse.emf.ecore.EReference getIAgentChild_Parent()

  Specified by:
    `getIAgentChild_Parent` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `IAgentChild.getParent()`, `MetaABMPackage.getIAgentChild()`

### getIAttributeChild

    public org.eclipse.emf.ecore.EClass getIAttributeChild()

  Specified by:
    `getIAttributeChild` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IAttribute Child'.
  See Also:
    `IAttributeChild`

### getIAttributeChild_Parent

    public org.eclipse.emf.ecore.EReference getIAttributeChild_Parent()

  Specified by:
    `getIAttributeChild_Parent` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `IAttributeChild.getParent()`, `MetaABMPackage.getIAttributeChild()`

### getIModelExtension

    public org.eclipse.emf.ecore.EClass getIModelExtension()

  Specified by:
    `getIModelExtension` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'IModel Extension'.
  See Also:
    `IModelExtension`

### getSState

    public org.eclipse.emf.ecore.EClass getSState()

  Specified by:
    `getSState` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SState'.
  See Also:
    `SState`

### getSState_Options

    public org.eclipse.emf.ecore.EReference getSState_Options()

  Specified by:
    `getSState_Options` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference list 'Options'.
  See Also:
    `SState.getOptions()`, `MetaABMPackage.getSState()`

### getSState_DefaultOption

    public org.eclipse.emf.ecore.EReference getSState_DefaultOption()

  Specified by:
    `getSState_DefaultOption` in interface `MetaABMPackage`
  Returns:
    the meta object for the reference 'Default Option'.
  See Also:
    `SState.getDefaultOption()`, `MetaABMPackage.getSState()`

### getSStateValue

    public org.eclipse.emf.ecore.EClass getSStateValue()

  Specified by:
    `getSStateValue` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SState Value'.
  See Also:
    `SStateValue`

### getSStateValue_Set

    public org.eclipse.emf.ecore.EReference getSStateValue_Set()

  Specified by:
    `getSStateValue_Set` in interface `MetaABMPackage`
  Returns:
    the meta object for the container reference 'Set'.
  See Also:
    `SStateValue.getSet()`, `MetaABMPackage.getSStateValue()`

### getSActable

    public org.eclipse.emf.ecore.EClass getSActable()

  Specified by:
    `getSActable` in interface `MetaABMPackage`
  Returns:
    the meta object for class 'SActable'.
  See Also:
    `SActable`

### getSActable_RootActivity

    public org.eclipse.emf.ecore.EReference getSActable_RootActivity()

  Specified by:
    `getSActable_RootActivity` in interface `MetaABMPackage`
  Returns:
    the meta object for the containment reference 'Root Activity'.
  See Also:
    `SActable.getRootActivity()`, `MetaABMPackage.getSActable()`

### getSAttributeType

    public org.eclipse.emf.ecore.EEnum getSAttributeType()

  Specified by:
    `getSAttributeType` in interface `MetaABMPackage`
  Returns:
    the meta object for enum 'SAttribute Type'.
  See Also:
    `SAttributeType`

### getSBorderRule

    public org.eclipse.emf.ecore.EEnum getSBorderRule()

  Specified by:
    `getSBorderRule` in interface `MetaABMPackage`
  Returns:
    the meta object for enum 'SBorder Rule'.
  See Also:
    `SBorderRule`

### getSNeighborhoodType

    public org.eclipse.emf.ecore.EEnum getSNeighborhoodType()

  Specified by:
    `getSNeighborhoodType` in interface `MetaABMPackage`
  Returns:
    the meta object for enum 'SNeighborhood Type'.
  See Also:
    `SNeighborhoodType`

### getSImplementationMode

    public org.eclipse.emf.ecore.EEnum getSImplementationMode()

  Specified by:
    `getSImplementationMode` in interface `MetaABMPackage`
  Returns:
    the meta object for enum 'SImplementation Mode'.
  See Also:
    `SImplementationMode`

### getSShapeType

    public org.eclipse.emf.ecore.EEnum getSShapeType()

  Specified by:
    `getSShapeType` in interface `MetaABMPackage`
  Returns:
    the meta object for enum 'SShape Type'.
  See Also:
    `SShapeType`

### getMetaABMFactory

    public MetaABMFactory getMetaABMFactory()

  Specified by:
    `getMetaABMFactory` in interface `MetaABMPackage`
  Returns:
    the factory that creates the instances of the model.

### loadPackage

    public void loadPackage()

  Laods the package and any sub-packages from their serialized form.

### fixPackageContents

    public void fixPackageContents()

  Fixes up the loaded package, to make it appear as if it had been programmatically built.

### fixInstanceClass

    protected void fixInstanceClass(org.eclipse.emf.ecore.EClassifier eClassifier)

  Sets the instance class on the given classifier.

  Overrides:
    `fixInstanceClass` in class `org.eclipse.emf.ecore.impl.EPackageImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD